summaryrefslogtreecommitdiff
path: root/check/check-uninstalled
diff options
context:
space:
mode:
Diffstat (limited to 'check/check-uninstalled')
-rwxr-xr-xcheck/check-uninstalled46
1 files changed, 46 insertions, 0 deletions
diff --git a/check/check-uninstalled b/check/check-uninstalled
new file mode 100755
index 0000000..dee7881
--- /dev/null
+++ b/check/check-uninstalled
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+set -e
+
+. ${srcdir}/common
+
+# Check to see if we find the uninstalled version
+RESULT=''
+run_test --uninstalled inst
+
+RESULT=''
+run_test --exists inst \>= 2.0
+
+RESULT='-I$(top_builddir)/include'
+run_test --cflags inst
+
+RESULT='-L$(top_builddir)/lib -linst'
+run_test --libs inst
+
+# Alter PKG_CONFIG_TOP_BUILD_DIR
+export PKG_CONFIG_TOP_BUILD_DIR='$(abs_top_builddir)'
+
+RESULT='-I$(abs_top_builddir)/include'
+run_test --cflags inst
+
+RESULT='-L$(abs_top_builddir)/lib -linst'
+run_test --libs inst
+
+unset PKG_CONFIG_TOP_BUILD_DIR
+
+# Check to see if we get the original back
+export PKG_CONFIG_DISABLE_UNINSTALLED=1
+
+RESULT=''
+EXPECT_RETURN=1 run_test --uninstalled inst
+
+RESULT=''
+EXPECT_RETURN=1 run_test --exists inst \>= 2.0
+
+RESULT='-I/inst/include'
+run_test --cflags inst
+
+RESULT='-L/inst/lib -linst'
+run_test --libs inst
+
+unset PKG_CONFIG_DISABLE_UNINSTALLED